> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Entry Detail



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/lifecycle
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/lifecycle:
    get:
      tags:
        - Collection Item Lifecycle
      summary: Entry Detail
      operationId: CollectionItemLifecycleController_entryDetail_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntryLifecycleDetailResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionEntryLifecycleDetailResponseDto:
      type: object
      properties:
        snapshot:
          anyOf:
            - $ref: '#/components/schemas/CollectionEntryLifecycleSnapshotResponseDto'
            - type: 'null'
        collectionVersion:
          type: number
        item:
          $ref: '#/components/schemas/LifecycleItem'
      required:
        - snapshot
        - collectionVersion
        - item
    CollectionEntryLifecycleSnapshotResponseDto:
      type: object
      properties:
        entry:
          $ref: '#/components/schemas/CollectionEntryDetailDto'
        guidance:
          anyOf:
            - $ref: '#/components/schemas/CollectionEntryInstructionsResponseDto'
            - type: 'null'
        referenceComponents:
          type: array
          items:
            $ref: '#/components/schemas/CollectionLifecycleReferenceComponents'
        referenceImages:
          type: array
          items:
            $ref: '#/components/schemas/CollectionLifecycleReferenceImages'
        attributeColumns:
          type: array
          items:
            $ref: '#/components/schemas/ItemColumnResponseDto'
      required:
        - entry
        - guidance
        - referenceComponents
        - referenceImages
        - attributeColumns
    LifecycleItem:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
        state:
          type: string
          enum:
            - active
            - archived
            - deleted
        name:
          type: string
        referenceNumber:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        categoryName:
          type:
            - string
            - 'null'
        areaNames:
          type: array
          items:
            type: string
        supplierName:
          type:
            - string
            - 'null'
        archivedAt:
          type:
            - string
            - 'null'
        archivedBy:
          anyOf:
            - $ref: '#/components/schemas/LifecycleActor'
            - type: 'null'
        archiveReason:
          type:
            - string
            - 'null'
        deletedAt:
          type:
            - string
            - 'null'
        deletedBy:
          anyOf:
            - $ref: '#/components/schemas/LifecycleActor'
            - type: 'null'
        expiresAt:
          type:
            - string
            - 'null'
      required:
        - id
        - version
        - state
        - name
        - referenceNumber
        - imageUrl
        - categoryName
        - areaNames
        - supplierName
        - archivedAt
        - archivedBy
        - archiveReason
        - deletedAt
        - deletedBy
        - expiresAt
    CollectionEntryDetailDto:
      type: object
      properties:
        primaryReferenceItem:
          anyOf:
            - $ref: '#/components/schemas/CollectionPrimaryReferenceItemDto'
            - type: 'null'
        referenceItems:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/CollectionCatalogReferenceItemDto'
            discriminator:
              propertyName: kind
        notes:
          type: array
          items:
            type: string
        values:
          $ref: '#/components/schemas/CollectionValueBucketsResponseDto'
        framework:
          $ref: '#/components/schemas/CollectionEntryFrameworkDto'
        images:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryImageDto'
        id:
          type: string
        name:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        categoryId:
          type: string
        categoryLabel:
          type: string
        categoryPath:
          type: array
          items:
            $ref: '#/components/schemas/CollectionCategoryPathItemDto'
        productTypeLabel:
          type: string
        description:
          type:
            - string
            - 'null'
        areaReference:
          type:
            - string
            - 'null'
        parLevel:
          type:
            - string
            - 'null'
        applyParToPurchaseQuantity:
          type: boolean
        quantity:
          type: string
        mandatoryItem:
          type: boolean
        designReviewRequired:
          type: boolean
        optionalManufacturers:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryManufacturerDto'
        mandatoryManufacturerId:
          type:
            - string
            - 'null'
        instructionsCount:
          type: number
        requirementsCount:
          type: number
        position:
          type: number
        referencesCount:
          type: number
        primaryReferenceItemId:
          type:
            - string
            - 'null'
        referenceCode:
          type:
            - string
            - 'null'
        referenceNumber:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        imagesCount:
          type: number
        validationIssueCount:
          type: number
        version:
          type: number
      required:
        - primaryReferenceItem
        - referenceItems
        - notes
        - values
        - framework
        - images
        - id
        - name
        - productTypeId
        - categoryId
        - categoryLabel
        - categoryPath
        - productTypeLabel
        - description
        - areaReference
        - parLevel
        - applyParToPurchaseQuantity
        - quantity
        - mandatoryItem
        - designReviewRequired
        - optionalManufacturers
        - mandatoryManufacturerId
        - instructionsCount
        - requirementsCount
        - position
        - referencesCount
        - primaryReferenceItemId
        - referenceCode
        - referenceNumber
        - imageUrl
        - imagesCount
        - validationIssueCount
        - version
    CollectionEntryInstructionsResponseDto:
      type: object
      properties:
        linkedInstructions:
          type: array
          items:
            $ref: '#/components/schemas/LinkedInstructionResponseDto'
        revision:
          type: number
        classification:
          type: object
          properties:
            categoryId:
              type: string
            productTypeId:
              type:
                - string
                - 'null'
          required:
            - categoryId
            - productTypeId
        instructions:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryInstructionGroupResponseDto'
        requirements:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryRequirementGroupResponseDto'
      required:
        - revision
        - classification
        - instructions
        - requirements
    CollectionLifecycleReferenceComponents:
      type: object
      properties:
        referenceItemId:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionReferenceItemComponentDto'
      required:
        - referenceItemId
        - items
    CollectionLifecycleReferenceImages:
      type: object
      properties:
        referenceItemId:
          type: string
        images:
          type: array
          items:
            $ref: '#/components/schemas/CatalogFamilyImageDto'
      required:
        - referenceItemId
        - images
    ItemColumnResponseDto:
      type: object
      properties:
        isCore:
          type: boolean
          deprecated: true
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        type:
          enum:
            - text
            - number
            - percent
            - boolean
            - list
            - multiple_select
            - date
            - image
            - dimension
          type: string
        logicType:
          enum:
            - catalog_family
            - catalog_item
            - catalog_family_source
            - catalog_item_source
            - project_item
            - project_item_slot
          type: string
        scopeType:
          enum:
            - default
            - category
          type: string
        categoryIds:
          type: array
          items:
            type: string
        categoryPositions:
          type: object
          additionalProperties:
            type: number
        options:
          type: array
          items:
            type: object
        description:
          type:
            - string
            - 'null'
        syncClass:
          enum:
            - core
            - commercial
            - descriptive
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - isCore
        - id
        - name
        - slug
        - type
        - logicType
        - scopeType
        - categoryIds
        - options
        - description
        - syncClass
        - createdAt
        - updatedAt
    LifecycleActor:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    CollectionPrimaryReferenceItemDto:
      type: object
      properties:
        id:
          type: string
        catalogFamilyId:
          type:
            - string
            - 'null'
        catalogFamilyVersion:
          type:
            - number
            - 'null'
        catalogAttributes:
          anyOf:
            - $ref: '#/components/schemas/CollectionCatalogReferenceAttributesDto'
            - type: 'null'
      required:
        - id
        - catalogFamilyId
        - catalogFamilyVersion
        - catalogAttributes
    CollectionCatalogReferenceItemDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog_item
        catalogFamilyStatus:
          type:
            - string
            - 'null'
          enum:
            - draft
            - new_from_project
            - new_from_collection
            - ready_to_use
            - null
        catalogItemId:
          type: string
        catalogFamilySourceId:
          type:
            - string
            - 'null'
        catalogFamilyId:
          type:
            - string
            - 'null'
        catalogFamilyName:
          type:
            - string
            - 'null'
        catalogAttributes:
          anyOf:
            - $ref: '#/components/schemas/CollectionCatalogReferenceAttributesDto'
            - type: 'null'
        catalogFamilyVersion:
          type:
            - number
            - 'null'
        catalogItemVersion:
          type:
            - number
            - 'null'
        catalogItemSourceVersion:
          type:
            - number
            - 'null'
        id:
          type: string
        referenceCode:
          type:
            - string
            - 'null'
        name:
          type: string
        vendorName:
          type:
            - string
            - 'null'
        sourceLabel:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        available:
          type: boolean
        status:
          enum:
            - draft
            - pending
            - discontinued
            - approved
          type: string
        position:
          type: number
        version:
          type: number
        dimensions:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        quantity:
          type:
            - string
            - 'null'
        price:
          type:
            - string
            - 'null'
        writableValueFields:
          type: array
          items:
            type: string
            enum:
              - finish
              - dimensions
              - price
        materialsCount:
          type: number
        partsCount:
          type: number
        componentsCount:
          type: number
        catalogFamilyDiscontinued:
          type: boolean
      required:
        - kind
        - catalogFamilyStatus
        - catalogItemId
        - catalogFamilySourceId
        - catalogFamilyId
        - catalogFamilyName
        - catalogAttributes
        - catalogFamilyVersion
        - catalogItemVersion
        - catalogItemSourceVersion
        - id
        - referenceCode
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - available
        - status
        - position
        - version
        - dimensions
        - finish
        - quantity
        - price
        - writableValueFields
        - materialsCount
        - partsCount
        - componentsCount
        - catalogFamilyDiscontinued
    CollectionValueBucketsResponseDto:
      type: object
      properties:
        catalogFamily:
          type: object
          additionalProperties: true
        catalogItem:
          type: object
          additionalProperties: true
        projectItem:
          type: object
          additionalProperties: true
        projectItemSlot:
          type: object
          additionalProperties: true
      required:
        - catalogFamily
        - catalogItem
        - projectItem
        - projectItemSlot
    CollectionEntryFrameworkDto:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryFrameworkFieldDto'
        inheritedValues:
          $ref: '#/components/schemas/CollectionValueBucketsResponseDto'
      required:
        - fields
        - inheritedValues
    CollectionEntryImageDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        altText:
          type:
            - string
            - 'null'
        isDefault:
          type: boolean
        position:
          type: number
        version:
          type: number
      required:
        - id
        - url
        - altText
        - isDefault
        - position
        - version
    CollectionCategoryPathItemDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
      required:
        - id
        - label
    CollectionEntryManufacturerDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
    LinkedInstructionResponseDto:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
        key:
          type: string
        source:
          $ref: '#/components/schemas/InstructionSourceResponseDto'
        disabled:
          type: boolean
      required:
        - id
        - text
        - assigneeRoleGroupIds
        - key
        - source
        - disabled
    CollectionEntryInstructionGroupResponseDto:
      type: object
      properties:
        groupId:
          type: string
        groupLineageId:
          type: string
        groupLabel:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryInstructionItemResponseDto'
      required:
        - groupId
        - groupLineageId
        - groupLabel
        - items
    CollectionEntryRequirementGroupResponseDto:
      type: object
      properties:
        groupId:
          type: string
        groupLineageId:
          type: string
        groupLabel:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryRequirementItemResponseDto'
      required:
        - groupId
        - groupLineageId
        - groupLabel
        - items
    CollectionReferenceItemComponentDto:
      type: object
      properties:
        id:
          type: string
        referenceItemId:
          type: string
        catalogItemId:
          type: string
        catalogItemType:
          type: object
        kind:
          enum:
            - material
            - part
          type: string
        catalogFamilySourceId:
          type:
            - string
            - 'null'
        name:
          type: string
        imageUrl:
          type:
            - string
            - 'null'
        referenceLabel:
          type:
            - string
            - 'null'
        manufacturerName:
          type:
            - string
            - 'null'
        sourceLabel:
          type:
            - string
            - 'null'
        quantity:
          type: string
        position:
          type:
            - number
            - 'null'
        version:
          type:
            - number
            - 'null'
      required:
        - id
        - referenceItemId
        - catalogItemId
        - catalogItemType
        - kind
        - catalogFamilySourceId
        - name
        - imageUrl
        - referenceLabel
        - manufacturerName
        - sourceLabel
        - quantity
        - position
        - version
    CatalogFamilyImageDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        url:
          type: string
        filename:
          type: string
        isPrimary:
          type: boolean
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - familyId
        - url
        - filename
        - isPrimary
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds
    CollectionCatalogReferenceAttributesDto:
      type: object
      properties:
        manufacturerName:
          type:
            - string
            - 'null'
        classification:
          $ref: '#/components/schemas/CollectionCatalogReferenceClassificationDto'
        family:
          type: object
          additionalProperties: true
        item:
          type: object
          additionalProperties: true
        familySource:
          type:
            - object
            - 'null'
          additionalProperties: true
        itemSource:
          type:
            - object
            - 'null'
          additionalProperties: true
      required:
        - manufacturerName
        - family
        - item
        - familySource
        - itemSource
    CollectionEntryFrameworkFieldDto:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        label:
          type: string
        type:
          enum:
            - text
            - number
            - percent
            - boolean
            - list
            - multiple_select
            - date
            - image
            - dimension
          type: string
        destination:
          type: string
          enum:
            - projectItem
            - projectItemSlot
            - catalogFamily
            - catalogItem
        options:
          type: array
          items:
            type: object
        isCore:
          type: boolean
        required:
          type: boolean
        editable:
          type: boolean
      required:
        - id
        - slug
        - label
        - type
        - destination
        - options
        - isCore
        - required
        - editable
    InstructionSourceResponseDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog
            - collection
        id:
          type: string
        name:
          type: string
        version:
          type: number
        collectionId:
          type: string
        collectionVersion:
          type: number
      required:
        - kind
        - id
        - name
        - version
    CollectionEntryInstructionItemResponseDto:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/InstructionSourceResponseDto'
        key:
          type: string
        id:
          type: string
        lineageId:
          type:
            - string
            - 'null'
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
        position:
          type: number
        origin:
          type: string
          enum:
            - entry
            - product-type
      required:
        - key
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - origin
    CollectionEntryRequirementItemResponseDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type:
            - string
            - 'null'
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
        position:
          type: number
        origin:
          type: string
          enum:
            - category
            - item-disabled
            - entry
      required:
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - origin
    CollectionCatalogReferenceClassificationDto:
      type: object
      properties:
        categoryId:
          type: string
        categoryLabel:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        productTypeLabel:
          type:
            - string
            - 'null'
      required:
        - categoryId
        - categoryLabel
        - productTypeId
        - productTypeLabel
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.